Folders

Delete a folder

DELETE
/spaces/{space_id}/folders/{folder_id}

Delete a folder and all its child folders and documents.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

space_id*string

Resource identifier: space_id.

Formatuuid
folder_id*string

Resource identifier: folder_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128
Idempotency-Key*string

A unique key for this intended write. Reuse it only for an identical retry.

Length1 <= length <= 200

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X DELETE "https://example.com/spaces/123e4567-e89b-42d3-a456-426614174000/folders/123e4567-e89b-42d3-a456-426614174000" \  -H "Idempotency-Key: 123e4567-e89b-42d3-a456-426614174000"
{  "folder_id": "123e4567-e89b-42d3-a456-426614174000",  "outcome": "deleted"}